## org.apache.catalina.logger
Class SystemOutLogger

    java.lang.Object
      |
      +--org.apache.catalina.logger.LoggerBase
            |
            +--org.apache.catalina.logger.SystemOutLogger

All Implemented Interfaces:
  Logger

public final class SystemOutLogger
extends LoggerBase

Simple implementation of Logger that writes to System.out. Because this component is so simple, no configuration is required. Therefore, Lifecycle is not implemented.

Version:
  $Revision: 1.2 $ $Date: 2001/07/22 20:25:11 $
Author:
  Craig R. McClanahan

Field Summary
`protected static java.lang.String` `info` The descriptive information about this implementation.

Fields inherited from class org.apache.catalina.logger.LoggerBase
`container, support, verbosity`

Fields inherited from interface org.apache.catalina.Logger
`DEBUG, ERROR, FATAL, INFORMATION, WARNING`

Constructor Summary
`SystemOutLogger()`

Method Summary
`void` `log(java.lang.String msg)` Writes the specified message to a servlet log file, usually an event log.

Methods inherited from class org.apache.catalina.logger.LoggerBase
`addPropertyChangeListener, getContainer, getInfo, getVerbosity, log, log, log, log, removePropertyChangeListener, setContainer, setVerbosity, setVerbosityLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected static final java.lang.String info

  The descriptive information about this implementation.

  See Also:
    Constant Field Values

Constructor Detail

### SystemOutLogger

    public SystemOutLogger()

Method Detail

### log

    public void log(java.lang.String msg)

  Writes the specified message to a servlet log file, usually an event log. The name and type of the servlet log is specific to the servlet container.

  Specified by:
    `log` in interface `Logger`
  Specified by:
    `log` in class `LoggerBase`
  Parameters:
    `msg` - A `String` specifying the message to be written to the log file

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.